Subject: Re: [PATCH 06/11] de2104x: fix DMA sync_single length error

From: Stephen Hemminger <[email-masked]>
Date: Thu, 21 Jan 2010 17:12:09 -0800

On Thu, 21 Jan 2010 18:02:44 -0700
Grant Grundler <[email-masked]> wrote:

> On Wed, Jan 20, 2010 at 12:45:05PM -0800, Stephen Hemminger wrote:
> > The DMA api requires that the full mapping be sync'd when
> > copying frame. First found by Jarek on sky2.
> 
> Are you referring to the example code in Documentation/PCI/PCI-DMA-mapping.txt?
> 
> I don't see any "Use the full mapping" statement otherwise.
> 
> Is there a DMA HW implementation that requires the syncing full buffer?
> 
> I think it would be interesting to point that out in the commit comments
> since other NIC drivers are likely to also have this issue as well.
> 
> I have no objection to this patch. Just want to be clear why
> it's being pushed.
> 
> Please added Acked-by: Grant Grundler <[email-masked]>

The documentation was in DMA-API.txt and it was wrong.
The DMA debug library was enforcing a bogus restriction.
Dave correctly dropped the patch.